VMSTAT(8)

NOM
vmstat - Afficher des statistiques sur la mémoire virtuelle

SYNOPSIS
vmstat [options] [délai [total]]

DESCRIPTION
vmstat affiche des informations sur les processus, la mémoire, la pagination, les blocs d'entrées et sorties, les interruptions et l'activité du processeur et des disques.

Le premier rapport produit présente les moyennes depuis le dernier démarrage. Les rapports ultérieurs présentent un compte rendu tous les délai. Les rapports sur les processus et la mémoire sont immédiats dans tous les cas de figure.

OPTIONS

délai
    Le délai en seconde entre les mises à jour. Si aucun délai n'est précisé, seul un rapport est affiché avec les valeurs moyennes depuis le démarrage.

total
    Le nombre de mises à jour. Si total n'est pas indiqué, quand délai est défini, total vaut l'infini par défaut.

-a, --active
    Afficher la mémoire active et inactive pour les noyaux 2.5.41 et supérieurs.

-f, --forks
    L'option -f affiche le nombre de processus fils depuis le démarrage du système, à savoir les « fork », « vfork » et les clones d'appels système. Cela correspond au nombre total de tâches créées. Chaque processus est représenté par une ou plusieurs tâches dépendant de l'utilisation des processus légers (« threads »). Il n'y a pas de rafraîchissement.

-m, --slabs
    Afficher le slabinfo.

-n, --one-header
    N'afficher l'en-tête qu'une fois plutôt que périodiquement.

-s, --stats
    Afficher un tableau de compteurs d'événements et des statistiques sur la mémoire. Il s'agit d'un affichage unique.

-d, --disk
    Afficher des statistiques sur le disque (pour les versions 2.5.70 ou supérieures).

-D, --disk-sum
    Afficher des statistiques succinctes à propos de l'activité des disques.

-p, --partition périphérique
    Afficher des statistiques sur les partitions (pour les versions 2.5.70 ou supérieures).

-S, --unit lettre
    Switches outputs between 1000 (k), 1024 (K), 1000000 (m), or 1048576 (M) bytes. Note this does not change the swap (si/so) or block (bi/bo) fields.

-t, --timestamp
    Ajouter un horodatage à toutes les lignes.

-w, --wide
    Mode de sortie large (utile pour les systèmes avec une grande quantité de mémoire, où le mode d’affichage par défaut est victime de rupture de colonne involontaire). La sortie est plus grande que 80 caractères par ligne.

-y, --no-first
    Omits first report with statistics since system boot.

-V, --version
    Afficher la version du logiciel et quitter.

-h, --help
    Afficher l'aide et quitter.

DESCRIPTIONS DES CHAMPS POUR LE MODE VM

  procs (processus)
r: The number of runnable processes (running or waiting for run time).
b: The number of processes blocked waiting for I/O to complete.

  memory (mémoire)
Ceci est affecté par l'option --unit.
swpd: the amount of swap memory used.
free: the amount of idle memory.
buff: the amount of memory used as buffers.
cache: the amount of memory used as cache.
inact: the amount of inactive memory.  (-a option)
active: the amount of active memory.  (-a option)

  swap (espace d'échange)
Ceci est affecté par l'option --unit.
si : Quantité de mémoire paginée lue depuis le disque en ko/s.
so : Quantité de mémoire paginée transférée sur disque en ko/s.

  io (entrées et sorties)
bi: Kibibyte received from a block device (KiB/s).
bo: Kibibyte sent to a block device (KiB/s).

  system (système)
in : Nombre d'interruptions par seconde, incluant l'horloge.
cs : Nombre de bascules du contexte par seconde.

  CPU
Il s'agit de la répartition du temps processeur en pourcentage.
us: Time spent running non-kernel code.  (user time, including nice time)
sy: Time spent running kernel code.  (system time)
id: Time spent idle.  Prior to Linux 2.5.41, this includes IO-wait time.
wa: Time spent waiting for IO.  Prior to Linux 2.5.41, included in idle.
st: Time stolen from a virtual machine.  Prior to Linux 2.6.11, unknown.
gu: Time spent running KVM guest code (guest time, including guest nice).

DESCRIPTIONS DES CHAMPS POUR LE MODE DISQUE

  reads (lectures)
total : Nombre total de lectures réussies.
merged : Lectures groupées (en une seule opération d'entrée ou sortie).
sectors : Secteurs lus avec succès.
ms : Temps de lecture en milliseconde.

  writes (écritures)
total : Nombre total d'écritures terminées avec succès.
merged : Écritures groupées (en une seule opération d'entrée ou sortie).
sectors : Secteurs écrits avec succès.
ms : Temps d'écriture en milliseconde.

  io (entrées et sorties)
cur : Entrées et sorties en cours.
s : Temps en seconde utilisé par les entrées et sorties.

DESCRIPTIONS DES CHAMPS POUR LE MODE DE PARTITION DE DISQUE
reads : Nombre total de lectures de la partition.
read sectors : Nombre total de secteurs lus pour la partition.
writes : Nombre total d'écritures sur la partition.
requested writes : Nombre total de requêtes d'écriture sur la partition.

DESCRIPTIONS DES CHAMPS POUR LE MODE SLAB
Slab mode shows statistics per slab, for more information about this information see slabinfo(5)

cache : Nom du cache.
num : Nombre d'objets actuellement actifs.
total : Nombre total d'objets disponibles.
size : Taille de chaque objet.
pages : Nombre de pages avec au moins un objet actif.

NOTES
vmstat requires read access to files under /proc. The -m requires read access to /proc/slabinfo which may not be available to standard users. Mount options for /proc such as subset=pid may also impact what is visible.

VOIR AUSSI
free(1), iostat(1), mpstat(1), ps(1), sar(1), top(1), slabinfo(5)

BOGUES
Signalez les bogues à <procps@freelists.org>